# Class TrimmingSpec

java.lang.Object
uk.ac.starlink.ttools.plot2.task.TrimmingSpec

public class TrimmingSpec extends Object
Specifies trimming items in sufficient detail to recreate them as part of a STILTS plotting command.

Since:
  29 Aug 2023
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TrimmingSpec.LegendSpec`
Specification for legend display options.

## Constructor Summary

Constructors
Constructor
Description
`TrimmingSpec(ConfigMap config, String title, TrimmingSpec.LegendSpec legSpec)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConfigMap`
`getConfig()`
Returns config map including trimming items.
`TrimmingSpec.LegendSpec`
`getLegendSpec()`
Returns the legend specification.
`String`
`getTitle()`
Returns the title text.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TrimmingSpec

public TrimmingSpec(ConfigMap config, String title, TrimmingSpec.LegendSpec legSpec)
Constructor.

Parameters:
  `config` - configuration options including trimming items
  `title` - title text, may be null
  `legSpec` - specification for displayed legend, or null for no legend

## Method Details

### getConfig

public ConfigMap getConfig()
Returns config map including trimming items.

Returns:
  configuration map including legend items

### getTitle

public String getTitle()
Returns the title text.

Returns:
  title text or null

### getLegendSpec

public TrimmingSpec.LegendSpec getLegendSpec()
Returns the legend specification.

Returns:
  legend specification, or null for no legend